
# react-native-maio-library

## Getting started

`$ npm install react-native-maio-library --save`

### Mostly automatic installation

`$ react-native link react-native-maio-library`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-maio-library` and add `RNMaioLibrary.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNMaioLibrary.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNMaioLibraryPackage;` to the imports at the top of the file
  - Add `new RNMaioLibraryPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-maio-library'
  	project(':react-native-maio-library').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-maio-library/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-maio-library')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNMaioLibrary.sln` in `node_modules/react-native-maio-library/windows/RNMaioLibrary.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Maio.Library.RNMaioLibrary;` to the usings at the top of the file
  - Add `new RNMaioLibraryPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNMaioLibrary from 'react-native-maio-library';

// TODO: What to do with the module?
RNMaioLibrary;
```
  